package co.gov.igac.snc.dao.util;

public enum EProcedimientoAlmacenadoFuncion {

    //D: nombre de la función o procedimiento ("nombre del paquete")
    BORRAR_CONTROL_CALIDAD("PKG_UTIL_AVALUOS"),
    CALCULAR_AFECTADOS_DECRETO("PKG_UTIL_FORMACION"),
    CALCULAR_MUESTRA_CALIDAD("PKG_UTIL_AVALUOS"),
    CALCULARPCTINCREMENTOPREDIO("PKG_UTIL_FORMACION"),
    CONFIRMAR_PROYECCION("PKG_PROYECCION"),
    CONFIRMAR_PROYECCION_FM_MIG("PKG_PROYECCION"),
    CONSULTAR_PREDIOS("PKG_CONSULTAS_CONSERVACION"),
    CONSULTAR_PREDIOS_REPORTE_DB("PKG_CONSULTAS_CONSERVACION"),
    CONSULTAR_PREDIOS_REPORTE_DBP("PKG_CONSULTAS_CONSERVACION"),
    CONSULTAR_PREDIOS_REPORTE_DECO("PKG_CONSULTAS_CONSERVACION"),
    CONSULTAR_PREDIOS_REPORTE_DCCO("PKG_CONSULTAS_CONSERVACION"),
    CONSULTAR_PREDIOS_REPORTE_DCNC("PKG_CONSULTAS_CONSERVACION"),
    CONSULTAR_PREDIOS_REPORTE_DJ("PKG_CONSULTAS_CONSERVACION"),
    CONSULTAR_PREDIOS_WS("PKG_CONSULTAS_WS"),
    CONSULTAR_RADICADO("COR_PK_RADICACION"),
    CREAR_JOB_INICIAR_CIERRE("PKG_CIERRE_ANUAL"),
    CREAR_JOB_CIERRE_ACTUALIZACION("PKG_CIERRE_ANUAL"),
    CREAR_JOB_CIERRE_CONSERVACION("PKG_CIERRE_ANUAL"),
    CREAR_JOB_CONFIRMAR_CIERRE("PKG_CIERRE_ANUAL"),
    CREAR_JOB_REVERSAR_CIERRE("PKG_CIERRE_ANUAL"),
    FN_NORMALIZAR("PKG_NORMALIZACION"),
    FNC_ANIOULTIMA_ACTUALIZACION(null),
    FNC_SUMAR_DIAS_HABILES(null),
    FNC_OBTENER_DIAS_HABILES(null),
    FNC_ES_DIA_HABIL(null),
    FNC_CONVERTIR_PREDIAL20_A_30(null),//CONVERSIÓN DEL NÚMERO PREDIAL DE 20 A 30 CARACTERES

    /**
     * este sirve para pruebas de error en la ejecución de sp
     */
    GENERAR_ERROR_PRUEBAS(null),
    GENERAR_NUMERACION("pkg_generales"),
    GENERAR_NUMERO_MANZANA("PKG_NUMERO_PREDIAL"),
    GENERAR_NUMERO_MEJORA_PH("PKG_NUMERO_PREDIAL"),
    GENERAR_NUMERO_MEJORA_TE("PKG_NUMERO_PREDIAL"),
    GENERAR_NUMERO_PREDIO("PKG_NUMERO_PREDIAL"),
    GENERAR_NUMERO_UNIDAD("PKG_NUMERO_PREDIAL"),
    GENERAR_PROYECCION("PKG_PROYECCION"),
    GENERAR_PROYECCION_PREDIO("PKG_PROYECCION"),
    GENERAR_HISTORIA_PREDIO("PKG_PROYECCION"),
    GENERAR_PROYECCION_PREDIO_BASI("PKG_PROYECCION"),
    GUARDAR_CONTROL_CALIDAD("PKG_UTIL_AVALUOS"),
    JOB_REPORTE_PREDIOS_DB("PKG_SERVICIOS_CONSERVACION"),
    JOB_REPORTE_PREDIOS_DBP("PKG_SERVICIOS_CONSERVACION"),
    LIQUIDAR_AVALUOS("PKG_PROYECCION"),
    OBTENER_PARAMETRO_CARACTER("pkg_generales"),
    OBTENER_PARAMETRO_FECHA("pkg_generales"),
    OBTENER_PARAMETRO_NUMERO("pkg_generales"),
    OBTENERVALORUNIDADTERRENO("pkg_util_formacion"),//funcion deprecada solo funcional hasta la vigencia 2014
    OBTENERVALORUNIDADTERRENO_ACT("pkg_util_formacion"),
    OBTENERVALORUNIDADCONSTRUCCION("pkg_util_formacion"),//funcion deprecada solo funcional hasta la vigencia 2014
    OBTENERVALORUNIDADCONST_ACT("pkg_util_formacion"),
    PROYECTAR_FICHAMATRIZ_MIGRADA("PKG_PROYECCION"),
    RADICAR("COR_PK_RADICACION"),
    RADICAR_AMCO("COR_PK_RADICACION"),
    RECLASIFICAR_RADICACION("COR_PK_RADICACION"),
    CONSULTAR_RADICACIONES_NUEVAS("COR_PK_RADICACION"),
    CONSULTAR_RADICACION("COR_PK_RADICACION"),
    RECIBIR_RADICADO("COR_PK_RADICACION"),
    FINALIZAR_RADICACION("COR_PK_RADICACION"),
    FINALIZAR_RADICACION_RES("COR_PK_RADICACION"),
    FINALIZAR_RADICACION_IE("COR_PK_RADICACION"),
    ACTUALIZAR_DATOS_ULTIMA_RESOLU("PKG_PROYECCION"),
    RECURRIR_PROYECCION("PKG_PROYECCION"),
    REGISTRAR_ACCESO("PKG_GENERALES"),
    REGISTRAR_ACCION("PKG_GENERALES"),
    REPROYECTAR_AVALUOS("PKG_PROYECCION"),
    REVERSAR_PROYECCION("PKG_PROYECCION"),
    REVERSAR_PROYECCION_FM_MIG("PKG_PROYECCION"),
    REVERSAR_PROYECCION_PREDIO("PKG_PROYECCION"),
    REVERTIR_PROYECCION_AVALUO("PKG_PROYECCION"),
    VALIDAR_CONDICION_DECRETO("PKG_UTIL_FORMACION"),
    VALIDAR_PROYECCION("PKG_PROYECCION"),
    CONTAR_REGISTROS_PREDIALES("PKG_PRODUCTOS"),//CONTAR CANTIDAD DE REGISTROS PREDIALES PARA GENERAR PRODUCTO
    GENERAR_REPORTE("PKG_REPORTES_CONSERVACION"),
    GENERAR_REPORTE_RADICACION("PKG_REPORTES_RADICACIONES"),
    PR_EJECUTARREPORTE("PKG_REPORTES_ESTADISTICOS"),
    //procedimientos atualizacion
    VALIDAR("PKG_ACTUALIZACIONX"),
    RADICACION("PKG_ACTUALIZACIONX"),
    CONFIRMAR_PROYECCION_ACT("PKG_ACTUALIZACIONX"),
    ELIMINAR_ACTUALIZACION("PKG_ACTUALIZACIONX"),
    ELIMINAR_VALORES_ACTUALIZACION("PKG_ACTUALIZACIONX"),
    PREDIO_UNICO("PKG_ACTUALIZACIONX"),
    CARGAR_TABLAS_LIQUIDACION("PKG_CIERRE_ACTUALIZACION"),
    BORRAR_TABLAS_LIQUIDACION("PKG_CIERRE_ACTUALIZACION"),
    CALCULAR_AVALUOS_TABLAS("PKG_CIERRE_ACTUALIZACION"),
    APLICAR_TABLAS_LIQUIDACION("PKG_CIERRE_ACTUALIZACION"),
    //PROCEDIMIENTO DE PARAMETRIZAR HORARIOS
    PRC_HORARIO_ATENCION("PKG_GENERALES"),
    //Procedimiento para consulta de jobs pendientes por procesar
    PRC_JOBS_POR_PROCESAR("PKG_GENERALES"),
    //PROCEDIMIENTO CANCELACION MASIVA FECHA INSCRIPCION < FECHA CREACION PH O CONDOMINIO.
    FECHA_INSCRIPCION_FICHA_MATRIZ("PKG_PROYECCION"),
    //procedimiento aceptar modificacion PH
    GENERAR_PROYECCION_EV("PKG_PROYECCION"),
    //procedimiento para generar numero predial modificacion PH
    GENERAR_NUMERO_FM_EV("PKG_NUMERO_PREDIAL"),
    //procedimiento de calculo de zonas que no se ha calculado 
    //el avaluo automaticamente pòr actualizacion en la vigencia 
    PRC_ZG_ZHF_NO_AUT("PKG_ZG_ZHF_NO_AUT"),

    //cargue cica
    P_CARGAR_ACTUALIZACION("PKG_CARGUE_CICA"),
    P_REVERSAR_MULTIPLES_PREDIOS("PKG_CARGUE_CICA"),
    P_PRELIQUIDAR("PKG_CARGUE_CICA"),
    APLICAR_CAMBIOS_ACT("PKG_CARGUE_CICA")

    ;

    private String paquete;

    private EProcedimientoAlmacenadoFuncion(String paquete) {
        this.paquete = paquete;
    }

    /**
     *
     */
    @Override
    public String toString() {
        return (paquete != null ? paquete + "." : "") + super.toString();
    }
}
